package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.CheckinInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CheckinInfoDAO {
	int insert(CheckinInfo entity);
	int update(CheckinInfo entity);
	int exist(String id);
	CheckinInfo get(String id);
	int delete(String id);
	List<CheckinInfo> list();
	List<CheckinInfo> findBypropertyId(String propertyId);
	CheckinInfo findByCompanyId(String companyId);
	List<CheckinInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
}